> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-c1-ai-rename-product.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete a Virtual MCP Server. Its route slugs can be reassigned later
 without transferring the deleted server's `use` grants.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/virtual_mcp_servers/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/virtual_mcp_servers/{id}:
    delete:
      tags:
        - Virtual MCP Servers
      summary: Delete
      description: |-
        Delete a Virtual MCP Server. Its route slugs can be reassigned later
         without transferring the deleted server's `use` grants.
      operationId: c1.api.ai_governance.v1.VirtualMCPServerService.Delete
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: Immutable Virtual MCP Server identifier.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ai_governance.v1.VirtualMCPServerServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.VirtualMCPServerServiceDeleteResponse
          description: VirtualMCPServerServiceDeleteResponse confirms deletion.
components:
  schemas:
    c1.api.ai_governance.v1.VirtualMCPServerServiceDeleteRequestInput:
      description: >-
        VirtualMCPServerServiceDeleteRequest deletes one Virtual MCP Server by
        ID.
      title: Virtual Mcp Server Service Delete Request
      type: object
      x-speakeasy-name-override: VirtualMCPServerServiceDeleteRequest
    c1.api.ai_governance.v1.VirtualMCPServerServiceDeleteResponse:
      description: VirtualMCPServerServiceDeleteResponse confirms deletion.
      title: Virtual Mcp Server Service Delete Response
      type: object
      x-speakeasy-name-override: VirtualMCPServerServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````